%define module	HTTP-Proxy
%define name	perl-%{module}
%define version 0.16
%define release 2mdk

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	A pure Perl HTTP proxy
License:	GPL or Artistic
Group:		Development/Perl
Source0:	%{module}-%{version}.tar.bz2
Url:		http://http-proxy.mongueurs.net/
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	perl-devel perl-Module-Build
# needed for test
BuildRequires:  perl-libwww-perl 

%description
The HTTP::Proxy module implements a HTTP proxy, using a HTTP::Daemon to
accept client connections, and a LWP::UserAgent to ask for the requested
pages.

The most interesting feature of this proxy object is its ability to
filter the HTTP requests and responses through user-defined filters.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build
%check
./Build test

%install
rm -rf $RPM_BUILD_ROOT
./Build install destdir=$RPM_BUILD_ROOT

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README eg
%{perl_vendorlib}/HTTP/*
%{_mandir}/*/*

%changelog
* Mon Sep 19 2005 Pascal Terjan <pterjan@mandriva.org> 0.16-2mdk
- BuildRequires perl-Module-Build

* Thu Sep 08 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.16-1mdk
- 0.16

* Thu Apr 28 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.15-1mdk
- 0.15

* Mon Nov 01 2004 Michael Scherer <misc@mandrake.org> 0.13-2mdk
- BuildRequires

* Wed Aug 25 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.13-1mdk
- Initial MDK release.
